explain_getresuid_or_die(3)

NAME
explain_getresuid_or_die - get r/e/s user IDs and report errors

SYNOPSIS
#include <libexplain/getresuid.h>

void explain_getresuid_or_die(uid_t *ruid, uid_t *euid, uid_t *suid);
int explain_getresuid_on_error(uid_t *ruid, uid_t *euid, uid_t *suid);

DESCRIPTION
The explain_getresuid_or_die function is used to call the getresuid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getresuid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_getresuid_on_error function is used to call the getresuid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getresuid(3) function, but still returns to the caller.

ruid
    The ruid, exactly as to be passed to the getresuid(2) system call.

euid
    The euid, exactly as to be passed to the getresuid(2) system call.

suid
    The suid, exactly as to be passed to the getresuid(2) system call.

RETURN VALUE
The explain_getresuid_or_die function only returns on success, see getresuid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_getresuid_on_error function always returns the value return by the wrapped getresuid(2) system call.

EXAMPLE
The explain_getresuid_or_die function is intended to be used in a fashion similar to the following example:
    explain_getresuid_or_die(ruid, euid, suid);

SEE ALSO

getresuid(2)
    get real, effective and saved user IDs

explain_getresuid(3)
    explain getresuid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2012 Peter Miller